Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366457 - Key-value-editor has several input problems
Summary: Key-value-editor has several input problems
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OKD
Classification: Red Hat
Component: Management Console
Version: 3.x
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: ---
Assignee: bpeterse
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-12 03:25 UTC by Xingxing Xia
Modified: 2016-09-19 13:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-19 13:52:16 UTC


Attachments (Terms of Use)
attachment1.gif (deleted)
2016-08-12 03:26 UTC, Xingxing Xia
no flags Details
attachment2.gif (deleted)
2016-08-12 03:27 UTC, Xingxing Xia
no flags Details
attachment3.gif (deleted)
2016-08-12 03:28 UTC, Xingxing Xia
no flags Details
attachment4.gif (deleted)
2016-08-15 07:34 UTC, Xingxing Xia
no flags Details
DeploymentConfigEnvironmentVariableStillOld (deleted)
2016-08-18 05:51 UTC, Yadan Pei
no flags Details
EditBuildConfigEnvironmentVariablesStillOld (deleted)
2016-08-18 05:54 UTC, Yadan Pei
no flags Details

Description Xingxing Xia 2016-08-12 03:25:11 UTC
Description of problem:
In the new key-value-editor, found following problems:
1. Click input box of the 1st key, input "ab", after 'a' is input, cursor moves before 'a', leading the input becomes "ba", see attachment1 [details].gif
2. Given the first key-value pair is already set, click the input box of the 2nd key, the 1st pair is gone, see attachment2 [details].gif
3. Press "Backspace" in the 2nd key, the word "Backspace" is input, see attachment3 [details].gif
Note: if your image viewer does not show the .gif dynamically, use Browser to view it.

Version-Release number of selected component (if applicable):
openshift v1.3.0-alpha.3+2ff9dc5
kubernetes v1.3.0+507d3a7
etcd 2.3.0+git

How reproducible:
Always

Steps to Reproduce:
1. See the .gif, the steps are clear in it
2.
3.

Actual results:
See above description or the attachment gif

Expected results:
The env editor should work and show the input correctly

Additional info:

Comment 1 Xingxing Xia 2016-08-12 03:26:21 UTC
Created attachment 1190252 [details]
attachment1 [details].gif

Comment 2 Xingxing Xia 2016-08-12 03:27:08 UTC
Created attachment 1190253 [details]
attachment2 [details].gif

Comment 3 Xingxing Xia 2016-08-12 03:28:23 UTC
Created attachment 1190254 [details]
attachment3 [details].gif

Comment 4 bpeterse 2016-08-12 13:22:33 UTC
Looking into this one

Comment 5 bpeterse 2016-08-12 19:18:05 UTC
There is a PR in the works that bumps the version on the key-value editor a few points that should fix these issues.

https://github.com/openshift/origin-web-console/pull/351

Comment 6 bpeterse 2016-08-12 20:43:22 UTC
PR: https://github.com/openshift/origin-web-console/pull/363#event-754498539 merged, should fix these issues.

Comment 7 Xingxing Xia 2016-08-15 07:32:55 UTC
Tested with:
openshift v1.3.0-alpha.3+69c7837
kubernetes v1.3.0+507d3a7
etcd 2.3.0+git

This version already includes the PR in comment 6.
The problems 1 and 3 in comment 0 are not reproduced now. But the problem 2 is still occasionally reproduced. See attachment4 [details].gif which does not reproduce problem 2 in the first try but later reproduce it in the second try.

Comment 8 Xingxing Xia 2016-08-15 07:34:47 UTC
Created attachment 1190808 [details]
attachment4 [details].gif

Comment 9 Jessica Forrester 2016-08-18 00:01:11 UTC
changes merging in https://github.com/openshift/origin/pull/10495 (fix is already in origin-web-console)
we no longer automatically generate another row, instead there is a link to add another env var / label

Comment 10 Xingxing Xia 2016-08-18 05:06:24 UTC
Manually vendored openshift/origin-web-console latest commit 8c03ff48 into latest openshift/origin, and tested.
The issues in comment 0 are fixed.

(In reply to Jessica Forrester from comment #9)
> we no longer automatically generate another row, instead there is a link to
> add another env var / label

But this change is not applied to these places yet:
A. BC page --> "Actions" --> "Edit" --> "Environment Variables"
B. "Add to Project" --> <image> --> "Deployment Configuration"

Comment 11 Yadan Pei 2016-08-18 05:51:56 UTC
Created attachment 1191792 [details]
DeploymentConfigEnvironmentVariableStillOld

Comment 12 Yadan Pei 2016-08-18 05:54:27 UTC
Created attachment 1191793 [details]
EditBuildConfigEnvironmentVariablesStillOld

Comment 13 Jessica Forrester 2016-08-18 23:35:29 UTC
Change added to the two missed editors, fix merging to origin in https://github.com/openshift/origin/pull/10525

Comment 14 Xingxing Xia 2016-08-19 06:45:54 UTC
Manually vendored latest origin-web-console commit 4d411df7 and tested. In sum, now issues are fixed and missed editors get the change too.


Note You need to log in before you can comment on or make changes to this bug.